أكاديمية أون لاين للتدريب

 

 

عاوز حل لمشكلة ليسب I.Lsp بيستخرج الإحداثيات فى جدول

الأخوه الأعزاء المشرفين على هذه الصفحه و على الموقع عندى مشكله فى هذا الليسب عموما لظهور الجدول بصوره صحيحه عليك

النتائج 1 إلى 3 من 3
  1. [1]
    على عطيه غير متواجد حالياً

    جديد

    تاريخ التسجيل: Feb 2008
    المشاركات: 5
    Thumbs Up
    Received: 1
    Given: 0

    Arrow عاوز حل لمشكلة ليسب I.Lsp بيستخرج الإحداثيات فى جدول

    الأخوه الأعزاء المشرفين على هذه الصفحه و على الموقع

    عندى مشكله فى هذا الليسب
    عموما لظهور الجدول بصوره صحيحه عليك بالزووم ان لأقصى ما تستطيع حتى لا يظهر الجدول بصوره غير صحيحه

    المشكله الاولى /// على الرسم أريد أن اضع بجوار الرقم P فتكون
    P1 بدلا من 1
    و كذلك فى الجدول

    المشكله الثانيه /// النقطه الموضوعه تكون على لاير
    Point = Layer Numer
    table = Layer Text
    و أنا عاوزها تكون
    Point = Layer Pipe-Numer
    Table = Pipe-Table

    و شكرا جدا


    و دا برمجة الليسب

    (defun run ()
    (setq pll (getstring "\nget name of new file (name.ext) :"))
    (setq pl (open pll "w"))
    (setq e (getstring "\nget no. of first Point :"))
    (setq a (atoi e))

    (while (setq p (getpoint "\nselect point :"))

    (setq v1 (strcat "\n " (itoa a) " "))
    (setq d (polar p (/ (* 1 pi) 2) 1.5))
    (command "layer" "m" "number" "c" "3" "" "")
    (command "text" "m" d 1.0 0.0 a)
    (setq num (entlast))
    (command "change" num "" layer "" number "")

    (command "layer" "m" "point" "c" "1" "" "")
    (command "point" p)
    (setq pt (entlast))
    (command "change" pt "" layer "" point "")
    (princ v1 pl)

    (setq x (car p))
    (setq x (rtos x 2 2))
    (setq x (strcat x " "))
    (setq v2 x)
    (princ v2 pl)

    (setq y (cadr p))
    (setq y (rtos y 2 2))
    (setq y (strcat y " "))
    (setq v3 y)
    (princ v3 pl)
    (setq a (+ a 1))
    )
    (command "layer" "m" "text" "c" "5" "" "")
    (close pl)
    (redraw)
    (princ)
    )

    (defun c:I ()
    (run)
    (setq fil (getstring "\nget name of the file (name.ext) :"))
    (setq p1 (getpoint "select insertion point :"))
    (setq p2 (polar p1 0.0 30.0))
    (setq p3 (polar p1 0.0 100.0))
    (setq p4 (polar p1 (/ (* -1 pi) 2) 20.0))
    (setq p5 (polar p4 0.0 30.0))
    (setq p6 (polar p4 0.0 65.0))
    (setq p7 (polar p4 0.0 100.0))
    (setq p8 (polar p2 (/ (* -1 pi) 2) 10.0))
    (setq p9 (polar p8 0.0 35.0))
    (setq p10 (polar p8 0.0 70.0))
    (setq p11 (polar p8 (* -1 pi) 15.0))
    (setq p12 (polar p8 (/ pi 2) 5.0))
    (setq p13 (polar p8 (/ (* -1 pi) 2) 5.0))
    (setq p14 (polar p12 0.0 35.0))
    (setq p15 (polar p13 0.0 17.5))
    (setq p16 (polar p13 0.0 52.5))
    (setq p1- (polar p1 (/ (* -1 pi) 2) 2000000000.0))

    (command "text" "m" p11 1.0 0.0 "POINT NO.")
    (command "text" "m" p14 1.0 0.0 "COORDINATES")
    (command "text" "m" p15 1.0 0.0 "X")
    (command "text" "m" p16 1.0 0.0 "Y")

    (command "line" p1 p4 "")
    (setq L14 (entlast))
    (command "line" p2 p8 p5 "")
    (setq L285 (entlast))
    (command "line" p9 p6 "")
    (setq L96 (entlast))
    (command "line" p3 p10 p7 "")
    (setq L3107 (entlast))
    (command "line" p1 p2 p3 "")
    (command "line" p8 p9 p10 "")
    (command "pline" p4 p5 p6 p7 "")
    (setq L4567 (entlast))

    (setq fill (open fil "r"))
    (read-line fill)
    (setq new ())
    (setq j 0.0)
    (setq p44 p4)
    (while (setq S (read-line fill))
    (setq pt (polar p44 (/ (* -1 pi) 2) (+ 5 j)))
    (setq pt1 (polar pt 0.0 15.0))
    (setq pt2 (polar pt 0.0 47.5))
    (setq pt3 (polar pt 0.0 82.5))

    (setq t1 (substr S 1 4))
    (setq t2 (substr S 5 16))
    (setq t3 (substr S 21 32))

    (command "text" "m" pt1 1.0 0.0 t1)
    (command "text" "m" pt2 1.0 0.0 t2)
    (command "text" "m" pt3 1.0 0.0 t3)

    (setq p4 (polar p4 (/ (* -1 pi) 2) 10.0))
    (setq p5 (polar p5 (/ (* -1 pi) 2) 10.0))
    (setq p6 (polar p6 (/ (* -1 pi) 2) 10.0))
    (setq p7 (polar p7 (/ (* -1 pi) 2) 10.0))

    (command "offset" (+ j 10.0) (list L4567 p4) p1- "")
    (setq new (entlast))

    (command "extend" new "" (list L14 P4) "")
    (command "extend" new "" (list L285 p5) "")
    (command "extend" new "" (list L96 p6) "")
    (command "extend" new "" (list L3107 p7) "")
    (setq j (+ j 10.0))
    )
    (close)
    )

    0 Not allowed!




    › شاهد أكثر: عاوز حل لمشكلة ليسب I.Lsp بيستخرج الإحداثيات فى جدول


  2. [2]
    عضو فعال
    الصورة الرمزية محمد عوض ابو


    تاريخ التسجيل: Nov 2007
    المشاركات: 82
    Thumbs Up
    Received: 0
    Given: 4
    انتظر منى التعديل لكن يوم الجمعة بعد الذهاب الى اجازة

    0 Not allowed!


    لا اله الا الله
    محمد رسول الله

  3. [3]
    جديد


    تاريخ التسجيل: Feb 2008
    المشاركات: 5
    Thumbs Up
    Received: 1
    Given: 0
    لا زلت أنتظر

    0 Not allowed!



  
الكلمات الدلالية لهذا الموضوع

عرض سحابة الكلمة الدلالية

RSS RSS 2.0 XML MAP HTML

Search Engine Optimization by vBSEO ©2011, Crawlability, Inc.